Skip to main content
GET
/
partner
/
webhooks
/
events
List partner webhook events from the local delivery log
curl --request GET \
  --url https://dev.cashweb.cash/api/v1/partner/webhooks/events \
  --header 'X-API-KEY: <api-key>'
{
  "data": {
    "data": [
      {
        "aggregate_id": "01917f00-7b4c-7f56-8a2b-15998d58c9f3",
        "attempts": 2,
        "created_at": "2026-02-12T12:05:00Z",
        "event_id": "01917f00-7b4c-7f56-8a2b-15998d58c9f3",
        "event_type": "transaction.completed",
        "last_error": null,
        "merchant_reference": "order-4551",
        "publish_status": "dispatched",
        "updated_at": "2026-02-12T12:05:10Z"
      }
    ],
    "has_more": false,
    "limit": 20,
    "next_cursor": null
  },
  "success": true
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

transaction_id
string<uuid>

Filter by aggregate transaction identifier.

merchant_reference
string

Filter by canonical merchant reference.

event_type
string

Filter by consumer-facing webhook event type.

publish_status
string

Filter by local publish status.

from
string

Inclusive start time in RFC3339.

to
string

Inclusive end time in RFC3339.

cursor
string

Opaque cursor returned by the previous response.

limit
integer<int32>

Requested page size.

Required range: 1 <= x <= 100

Response

Webhook event list retrieved

Standard API response wrapper for all successful responses

data
object
required

Cursor-based partner webhook event list from the local outbox log.

success
boolean
required

Indicates if the request was successful

Example:

"true"

message
string | null

Optional message for additional information